Hoppa till innehåll

Kling LipSync Audio-to-Video

Integrera

Modell-id kling-video/lipsync/audio-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/audio-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Filer som exemplet: 0,14 $ 140 API-krediter · ≈ 15,02 ₽ dina filer mäts innan körningen Kör den på den här sidan

Hämta API-nyckel
Kling Läppsynkning och avatarer Läppsynkning #audio-to-video#lipsync

Synkroniserar om munrörelserna i en befintlig video med ett uppladdat ljudspår

Skapat på Doitong

Offentliga verk skapade med Kling LipSync av Doitong-communityt. Återanvänd en prompt med ett klick.

Visade offentliga verk: 16
Video

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

Video

Как остановить тревогу за 60 секунд. Когда она накатывает, начните с дыхания: медленно вдохните через нос на четыре счёта, задержите на четыре и мягко выдохните через рот на шесть. Повторите три раза — это сразу успокаивает нервную систему. Затем посмотрите вокруг и вслух назовите три вещи,...

Video

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

Video

Дорогой друг, если тревога внезапно накрыла, остановите её за шестьдесят секунд тремя простыми шагами. Сначала медленно вдохните носом на четыре секунды, задержите дыхание ещё на четыре и плавно выдохните ртом на шесть. Это сразу снижает активность симпатической нервной системы и даёт телу сигнал...

Video

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

Video

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

Video

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

Video

Как перестать всё контролировать? Я знаю, как тяжело постоянно держать всё в руках. Вот три простых шага, которые реально помогают. Сначала заметьте, когда внутри возникает напряжение, и сделайте три медленных выдоха длиннее вдохов. Это сразу включает спокойную часть нервной системы. Второй шаг:...

Skapa en begäran

Kontrollerna genereras från modellschemat. Koden och priset uppdateras när du ändrar dem.

•obligatoriskt video_url
Släpp en fil eller

Video-URL för läppsynkroniseringsgenerering. Accepterar .mp4- eller .mov-filer på upp till 100MB, med längden 2–10s, endast i 720p eller 1080p; båda dimensionerna måste ligga inom 720–1920px.

•obligatoriskt audio_url
Släpp en fil eller

URL som pekar på ljudet som används för läppsynkronisering. Ljudet måste vara mellan 2 sekunder och 60 sekunder långt och filstorleken får inte överstiga 5 MB.

Avancerat enable_safety_checker
POST /run/kling-video/lipsync/audio-to-video?wait=20 pris → 0,14 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/audio-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kör den här begäran

Din nyckel stannar i den här webbläsaren: den skickas endast till Doitong API och sparas endast i localStorage om du markerar Kom ihåg. Hämta en API-nyckel

Om Kling LipSync Audio-to-Video

Tar en källvideo och en ljudfil och genererar läpprörelser som matchar ljudet. Videon måste vara .mp4 eller .mov, högst 100MB, 2 till 10 sekunder lång och i 720p eller 1080p. Ljudet måste vara 2 till 60 sekunder långt och understiga 5MB. Båda indata skickas som URL:er: `video_url` och `audio_url`.

Parametrar

Skicka antingen det kanoniska namnet eller det inbyggda namnet, inte båda. Kanoniska namn

NamnTyp StandardTillåtna Beskrivning
enable_safety_checkervalfritt
Typboolean
Standardtrue
Säkerhetskontroller kan endast inaktiveras med kontoauktorisering; begäranden utan auktorisering kontrolleras alltid.
video_urlobligatoriskt video
Typurl · video
Video-URL för läppsynkroniseringsgenerering. Accepterar .mp4- eller .mov-filer på upp till 100MB, med längden 2–10s, endast i 720p eller 1080p; båda dimensionerna måste ligga inom 720–1920px.
audio_urlobligatoriskt audio
Typurl · audio
URL som pekar på ljudet som används för läppsynkronisering. Ljudet måste vara mellan 2 sekunder och 60 sekunder långt och filstorleken får inte överstiga 5 MB.
obligatoriskt Kanoniskt namn, accepteras också

Filparametrar tar emot en offentlig https://-URL, en data:-URI på upp till 10 MB eller file_url från en uppladdning. Filer

Resultat

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/lipsync/audio-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dina filer, ditt valVarje outputs[].url är en kopia i vår lagring: sparad för alltid (debiteras per GB-månad) eller 7 dagar kostnadsfritt, enligt din kontoinställning eller ?storage=.
Samma struktur för varje modelltype, url, content_type, width, height och duration, för bilder, video och ljud. output är modellens eget resultatobjekt.
Resultatets fält
video
object {url, content_type, file_name, file_size}Video som produceras av modellen.

Fler modeller: Läppsynkning och avatarer

För AI-agenter: den här sidan som Markdown finns på https://doitong.com/sv/developers/models/kling-video/lipsync/audio-to-video.md. Alla modeller och guider: https://doitong.com/developers/llms.txt